public class Allineatore{

	public static void allineaOrizzontaleCentro(Allineabile[] forme){

		double xmedia=0.0;

		for(int i=0;i<forme.length;i++){
			xmedia+=forme[i].getCX();
		}

		xmedia/=forme.length;

		for(int i=0;i<forme.length;i++){
			forme[i].setCX(xmedia);
		}
	}

	public static void allineaOrizzontaleSinistra(Allineabile[] forme){

		double xmin=forme[0].getCX()-forme[0].getLarghezza()/2;

		for(int i=0;i<forme.length;i++){
			double xm=forme[i].getCX()-forme[i].getLarghezza()/2;
			if(xm<xmin)
				xmin=xm;
		}

		for(int i=0;i<forme.length;i++){
			double x=xmin+forme[i].getLarghezza()/2;
			forme[i].setCX(x);
		}
	}

	public static void allineaOrizzontaleDestra(Allineabile[] forme){

		double xmax=forme[0].getCX()+forme[0].getLarghezza()/2;

		for(int i=0;i<forme.length;i++){
			double xm=forme[i].getCX()+forme[i].getLarghezza()/2;
			if(xm>xmax)
				xmax=xm;
		}

		for(int i=0;i<forme.length;i++){
			double x=xmax-forme[i].getLarghezza()/2;
			forme[i].setCX(x);
		}
	}


	public static void allineaVerticaleCentro(Allineabile[] forme){

		double ymedia=0.0;

		for(int i=0;i<forme.length;i++){
			ymedia+=forme[i].getCY();
		}

		ymedia/=forme.length;

		for(int i=0;i<forme.length;i++){
			forme[i].setCY(ymedia);
		}
	}

	public static void allineaVerticaleBasso(Allineabile[] forme){

		double ymin=forme[0].getCY()-forme[0].getAltezza()/2;

		for(int i=0;i<forme.length;i++){
			double ym=forme[i].getCY()-forme[i].getAltezza()/2;
			if(ym<ymin)
				ymin=ym;
		}

		for(int i=0;i<forme.length;i++){
			double y=ymin+forme[i].getAltezza()/2;
			forme[i].setCY(y);
		}
	}

	public static void allineaVerticaleAlto(Allineabile[] forme){

		double ymax=forme[0].getCY()+forme[0].getAltezza()/2;

		for(int i=0;i<forme.length;i++){
			double ym=forme[i].getCY()+forme[i].getAltezza()/2;
			if(ym>ymax)
				ymax=ym;
		}

		for(int i=0;i<forme.length;i++){
			double y=ymax-forme[i].getAltezza()/2;
			forme[i].setCY(y);
		}
	}

}