public class FunzioneCosinusoidale implements Funzione{

	private double a,b,c;

	public FunzioneCosinusoidale(double a, double b, double c){
		this.a=a;
		this.b=b;
		this.c=c;
	}

	public double valore(double x){
		return a*Math.cos(b*x+c);
	}

	public Funzione derivata(){
		return new FunzioneSinusoidale(-a*b,b,c);
	}

	public String toString(){
		return a+" cos("+b+" x+"+c+")";
	}

}