public class FunzioneSinusoidale implements Funzione{

	private double a,b,c;

	public FunzioneSinusoidale(double a, double b, double c){
		this.a=a;
		this.b=b;
		this.c=c;
	}

	public double valore(double x){
		return a*Math.sin(b*x+c);
	}

	public Funzione derivata(){
		return new FunzioneCosinusoidale(a*b,b,c);
	}

	public String toString(){
		return a+" sin("+b+" x+"+c+")";
	}


}