public class ProdottoDiFunzioni implements Funzione{

	private Funzione g;
	private Funzione h;

	public ProdottoDiFunzioni(Funzione g, Funzione h){
		this.g=g;
		this.h=h;
	}

	public double valore(double x){
		return g.valore(x)*h.valore(x);
	}

	public Funzione derivata(){
		Funzione f1=new ProdottoDiFunzioni(g.derivata(),h);
		Funzione f2=new ProdottoDiFunzioni(g,h.derivata());
		return new SommaDiFunzioni(f1,f2);
	}

	public String toString(){
		return "("+g+")("+h+")";
	}

}