public class SommaDiFunzioni implements Funzione{

	private Funzione g;
	private Funzione h;

	public SommaDiFunzioni(Funzione g, Funzione h){
		this.g=g;
		this.h=h;
	}

	public double valore(double x){
		return g.valore(x)+h.valore(x);
	}

	public Funzione derivata(){
		return new SommaDiFunzioni(g.derivata(),h.derivata());
	}

	public String toString(){
		return "("+g+")+("+h+")";
	}


}